[arch-commits] Commit in yafray/repos (3 files)

Pierre Schmitz pierre at archlinux.org
Fri Oct 31 17:19:08 UTC 2008


    Date: Friday, October 31, 2008 @ 13:19:08
  Author: pierre
Revision: 17694

Merged revisions 356,17666,17690 via svnmerge from 
svn+ssh://svn.archlinux.org/home/svn-packages/yafray/trunk

........
  r356 | aaron | 2008-04-19 00:56:27 +0200 (Sa, 19 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r17666 | pierre | 2008-10-31 13:45:05 +0100 (Fr, 31 Okt 2008) | 1 line
  
  rebuilt for openexr
........
  r17690 | pierre | 2008-10-31 18:10:42 +0100 (Fr, 31 Okt 2008) | 1 line
  
  upgpkg: yafray 0.0.9-3
........

Added:
  yafray/repos/extra-i686/gcc4.3_missing_includes.patch
    (from rev 17690, yafray/trunk/gcc4.3_missing_includes.patch)
Modified:
  yafray/repos/extra-i686/	(properties)
  yafray/repos/extra-i686/PKGBUILD

-------------------------------+
 PKGBUILD                      |   14 +++--
 gcc4.3_missing_includes.patch |   97 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 106 insertions(+), 5 deletions(-)


Property changes on: yafray/repos/extra-i686
___________________________________________________________________
Name: svnmerge-integrated
   - /yafray/trunk:1
   + /yafray/trunk:1-17693

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2008-10-31 17:13:28 UTC (rev 17693)
+++ extra-i686/PKGBUILD	2008-10-31 17:19:08 UTC (rev 17694)
@@ -4,22 +4,26 @@
 
 pkgname=yafray
 pkgver=0.0.9
-pkgrel=2
+pkgrel=3
 pkgdesc="Yet another Free Ray Tracer"
 arch=(i686 x86_64)
-depends=('openexr>=1.4.0a')
+depends=('openexr>=1.6' 'libjpeg')
 makedepends=('scons')
-source=(http://www.yafray.org/sec/2/downloads/${pkgname}-${pkgver}.tar.gz)
+source=("http://www.yafray.org/sec/2/downloads/${pkgname}-${pkgver}.tar.gz"
+       'gcc4.3_missing_includes.patch')
 url="http://www.yafray.org"
-md5sums=('7365122e0ca6f439988f51e8b4db935c')
+license=('GPL')
+md5sums=('7365122e0ca6f439988f51e8b4db935c'
+         '6ec90b491fb47b39139b2b2eae3b0028')
 
 build() {
   cd ${startdir}/src/${pkgname}
+  patch -p1 -i $srcdir/gcc4.3_missing_includes.patch || return 1
   sed -i "s|flags+=.*$|flags+=' ${CFLAGS} -ffast-math -fomit-frame-pointer'|" linux-settings.py
   sed -i 's|return prefix+"/etc"|return "/etc"|' linux-settings.py
   scons prefix=/usr
    # fool the build system
   sed -i 's|return "/etc"|return "'${startdir}/pkg'/etc"|' linux-settings.py
   scons prefix=${startdir}/pkg/usr install
-	find ${startdir}/pkg -name '.sconsign' -exec rm -f {} \;
+  find ${startdir}/pkg -name '.sconsign' -exec rm -f {} \;
 }

Copied: yafray/repos/extra-i686/gcc4.3_missing_includes.patch (from rev 17690, yafray/trunk/gcc4.3_missing_includes.patch)
===================================================================
--- extra-i686/gcc4.3_missing_includes.patch	                        (rev 0)
+++ extra-i686/gcc4.3_missing_includes.patch	2008-10-31 17:19:08 UTC (rev 17694)
@@ -0,0 +1,97 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## 30_gcc4.3_missing_includes.dpatch by Cyril Brulebois <cyril.brulebois at enst-bretagne.fr>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Add missing includes to fix FTBFS with gcc 4.3
+
+ at DPATCH@
+
+--- a/src/yafraycore/HDR_io.cc	2007-12-21 02:04:16.000000000 +0100
++++ b/src/yafraycore/HDR_io.cc	2007-12-21 02:04:23.000000000 +0100
+@@ -9,6 +9,8 @@
+ #include<config.h>
+ #endif
+ 
++#include <cstring>
++
+ __BEGIN_YAFRAY
+ 
+ //---------------------------------------------------------------------------
+--- a/src/yafraycore/buffer.h	2007-12-21 02:03:39.000000000 +0100
++++ b/src/yafraycore/buffer.h	2007-12-21 02:03:48.000000000 +0100
+@@ -29,6 +29,7 @@
+ 
+ #include <cstdio>
+ #include <iostream>
++#include <cstdlib>
+ #include "color.h"
+ 
+ __BEGIN_YAFRAY
+--- a/src/yafraycore/ccthreads.cc	2007-12-21 02:05:02.000000000 +0100
++++ b/src/yafraycore/ccthreads.cc	2007-12-21 02:05:12.000000000 +0100
+@@ -1,5 +1,6 @@
+ #include"ccthreads.h"
+ #include<iostream>
++#include<cstdlib>
+ 
+ using namespace std;
+ 
+--- a/src/yafraycore/geometree.h	2007-12-21 02:09:40.000000000 +0100
++++ b/src/yafraycore/geometree.h	2007-12-21 02:09:46.000000000 +0100
+@@ -2,6 +2,7 @@
+ #define __GEOMETREE_H
+ 
+ #include"bound.h"
++#include <limits>
+ 
+ __BEGIN_YAFRAY
+ 
+--- a/src/yafraycore/kdtree.cc	2007-12-21 02:05:55.000000000 +0100
++++ b/src/yafraycore/kdtree.cc	2007-12-21 02:06:03.000000000 +0100
+@@ -4,6 +4,7 @@
+ #include <math.h>
+ #include <limits>
+ #include <time.h>
++#include <cstring>
+ 
+ __BEGIN_YAFRAY
+ 
+--- a/src/yafraycore/renderblock.cc	2007-12-21 02:07:41.000000000 +0100
++++ b/src/yafraycore/renderblock.cc	2007-12-21 02:07:49.000000000 +0100
+@@ -1,5 +1,6 @@
+ 
+ #include "renderblock.h"
++#include <cstdlib>
+ 
+ using namespace std;
+ 
+--- a/src/loader/mlex.cc	2007-12-21 02:13:25.000000000 +0100
++++ b/src/loader/mlex.cc	2007-12-21 02:13:35.000000000 +0100
+@@ -22,6 +22,7 @@
+ 
+ #include<stdio.h>
+ #include<iostream>
++#include<cstring>
+ #include "mlex.h"
+ using namespace std;
+ #include<string>
+--- a/src/shaders/basictex.cc	2007-12-21 02:14:43.000000000 +0100
++++ b/src/shaders/basictex.cc	2007-12-21 02:14:52.000000000 +0100
+@@ -23,6 +23,7 @@
+ #include "basictex.h"
+ #include "object3d.h"
+ #include <iostream>
++#include <cstring>
+ 
+ #include "targaIO.h"
+ #include "HDR_io.h"
+--- a/src/yafraycore/targaIO.cc	2007-12-21 02:10:53.000000000 +0100
++++ b/src/yafraycore/targaIO.cc	2007-12-21 02:11:00.000000000 +0100
+@@ -3,6 +3,7 @@
+ //--------------------------------------------------------------------------------
+ #include "targaIO.h"
+ #include "vector3d.h"
++#include <cstring>
+ 
+ //--------------------------------------------------------------------------------
+ // Save uncompressed 24 bit targa




More information about the arch-commits mailing list